# bazel

## Bazel Executable
```
--detect.bazel.path
```

The path to the Bazel executable\.



|Details||
|---|---|
|Added|5\.2\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Bazel Target
```
--detect.bazel.target
```

The Bazel target \(for example, //foo:foolib\) for which dependencies are collected\. For Detect to run Bazel, this property must be set\.



|Details||
|---|---|
|Added|5\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Bazel cquery additional options
```
--detect.bazel.cquery.options
```

A comma\-separated list of additional options to pass to the bazel cquery command\.



|Details||
|---|---|
|Added|6\.1\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Bazel workspace rules
```
--detect.bazel.workspace.rules=ALL,NONE,MAVEN_JAR,MAVEN_INSTALL,HASKELL_CABAL_LIBRARY,HTTP_ARCHIVE 
```

By default Detect discovers Bazel dependencies using all of the supported Bazel workspace rules that it finds in the WORKSPACE file\. Alternatively you can use this property to specify the list of Bazel workspace rules Detect should use\.

Setting this property \(or letting it default\) to NONE tells Detect to use supported rules that it finds in the WORKSPACE file\.

|Details||
|---|---|
|Added|7\.12\.0|
|Type|WorkspaceRule List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, NONE, MAVEN\_JAR, MAVEN\_INSTALL, HASKELL\_CABAL\_LIBRARY, HTTP\_ARCHIVE|
|Strict|Yes|




